package eu.mhsl.minecraft.pixelblocks.listeners;

import eu.mhsl.minecraft.pixelblocks.pixelblock.PixelBlock;
import org.bukkit.Bukkit;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerChangedWorldEvent;

import java.util.Objects;

import static eu.mhsl.minecraft.pixelblocks.PixelBlocks.plugin;

public class PlayerChangeWorldListener implements Listener {
    @EventHandler
    static void onPlayerChangeWorld(PlayerChangedWorldEvent event) {
        if(CommonEventHandlers.isInPixelWorld(event.getFrom())) {
            Bukkit.getScheduler().runTaskLater(plugin, () -> Objects.requireNonNull(PixelBlock.getPixelBlockFromWorld(event.getFrom())).update(), 60);
        }
    }
}
