package eu.mhsl.minecraft.pixelblocks.listeners;

import eu.mhsl.minecraft.pixelblocks.pixelblock.PixelBlock;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.world.ChunkLoadEvent;
import org.bukkit.event.world.ChunkUnloadEvent;

public class ChunkLoadListener implements Listener {
    @EventHandler
    static void onChunkLoad(ChunkLoadEvent event) {
        PixelBlock.placedPixelBlocks.forEach(pixelBlock -> {
            if(pixelBlock.hitbox == null) {
                pixelBlock.update();
            }
        });
    }

    @EventHandler
    static void onChunkUnload(ChunkUnloadEvent event) {
        PixelBlock.placedPixelBlocks.forEach(pixelBlock -> {
            if(pixelBlock.hitbox != null) {
                pixelBlock.clearEntities();
            }
        });
    }
}
